<input
  class="col-sm-11 col-10"
  [(ngModel)]="selectedLink"
  placeholder="Type a youtube url"
  (click)="onSelect(selectedLink)"
>
<button class="col-1" (click)="sendLink()"><fa name="search"></fa></button>
<div *ngIf="error" class="error">
  {{error}}
</div>
